#! /usr/local/bin/sybperl

#	@(#)test_dbmoney.pl	1.1	8/31/93
#

unshift(@INC, "../lib");	# to use the uninstalled require'd files
require "sybperl.pl";
require "getopts.pl";

( !defined( $FALSE )) && ( $FALSE = 0 );
( !defined( $TRUE ))  && ( $TRUE  = 1 );

&Getopts( 'S:' );

if ( defined( $opt_S )) {
   $server = $opt_S;
}
else {
   $server = $ENV{ 'DSQUERY' };
}

$tty_test = system( "/bin/tty -s" ) / 256;

(( $tty_test == 0 ) || ( $tty_test == 1 )) ||
   die "Invalid options were specified to /bin/tty: $!\n";

if ( $tty_test == 0 ) {  # tty device attached to STDIN
   system( "/bin/stty -echo" );
   print "SA password: ";
   $sybupw = scalar( <STDIN> );
   system( "/bin/stty echo" );
   print "\n";
}
else {
   $sybupw = scalar( <STDIN> );
}

chop $sybupw;

$dbproc = &dblogin( "sa", $sybupw, $server );

&dbuse( "master" );

$money1 = '4.89';
$money2 = '8.56';
$money3 = '*';

printf( "money1 = %.4f, money2 = %.4f\n", $money1, $money2 );

($status, $money3) = &dbmnyzero( $money3 );
printf( "status = %d, money3 = %.4f\n", $status, $money3 );

($status, $money3) = &dbmnyinc( $money3 );
printf( "status = %d, money3 = %.4f\n", $status, $money3 );
($status, $money3) = &dbmnyinc( $money3 );
printf( "status = %d, money3 = %.4f\n", $status, $money3 );
($status, $money3) = &dbmnyinc( $money3 );
printf( "status = %d, money3 = %.4f\n", $status, $money3 );
($status, $money3) = &dbmnyinc( $money3 );
printf( "status = %d, money3 = %.4f\n", $status, $money3 );

$money3 = '0.0001';
($status, $money3) = &dbmnyscale( $money3, 100, 1 );
printf( "status = %d, money3 = %.4f\n", $status, $money3 );

( $money3, $money4 ) = ( '0.0001', '0.0002' );
($status, $money3) = &dbmnyadd( $money3, $money4, $money3 );
printf( "status = %d, money3 = %.4f\n", $status, $money3 );

$money3 = '0.0004'; $money4 = '0.0003'; $money5 = '0.0005';
$money6 = '0.0004';
printf( "status = %d, money3 = %.4f, money4 = %.4f\n",
	&dbmnycmp( $money3, $money4 ), $money3, $money4 );
printf( "status = %d, money3 = %.4f, money5 = %.4f\n",
	&dbmnycmp( $money3, $money5 ), $money3, $money5 );
printf( "status = %d, money3 = %.4f, money6 = %.4f\n",
	&dbmnycmp( $money3, $money6 ), $money3, $money6 );
printf( "status = %d, money4 = %.4f, money5 = %.4f\n",
	&dbmnycmp( $money4, $money5 ), $money4, $money5 );
printf( "status = %d, money4 = %.4f, money6 = %.4f\n",
	&dbmnycmp( $money4, $money6 ), $money4, $money6 );
printf( "status = %d, money5 = %.4f, money6 = %.4f\n",
	&dbmnycmp( $money5, $money6 ), $money5, $money6 );

($status, $money3) = &dbmnyadd( $money1, $money2 );
printf( "status = %d, money3 = %.4f\n", $status, $money3 );

($status, $money3) = &dbmnysub( $money1, $money2 );
printf( "status = %d, money3 = %.4f\n", $status, $money3 );

($status, $money3) = &dbmnydivide( $money3, $money2 );
printf( "status = %d, money3 = %.4f\n", $status, $money3 );

($status, $money4) = &dbmnymaxneg( );
printf( "status = %d, money4 = %.4f\n", $status, $money4 );

($status, $money3) = &dbmnymaxpos( );
printf( "status = %d, money3 = %.4f\n", $status, $money3 );

($status, $money4) = &dbmnyzero( );

@tbal = ( '4.89', '8.92', '7.77', '11.11', '0.01' );

for ( $cntr = 0 ; $cntr <= $#tbal ; $cntr++ ) {
  printf( "Item %d - %s\n", $cntr, $tbal[ $cntr ] );
  ($status, $money4) = &dbmnyadd( $tbal[ $cntr ], $money4 );
}

printf( "status = %d, total = %.4f\n", $status, $money4 );

$cntr = $#tbal + 1;

($status, $money4) = &dbmnydivide( $money4, "$cntr" );
printf( "status = %d, avg = %.4f\n", $status, $money4 );

print "-------------------------\n";

$money1 = '4.89';
$money2 = '8.56';
$money3 = '*';

printf( "money1 = %.4f, money2 = %.4f\n", $money1, $money2 );

($status, $money3) = &dbmny4zero( $money3 );
printf( "status = %d, money3 = %.4f\n", $status, $money3 );

( $money3, $money4 ) = ( '0.0001', '0.0002' );
($status, $money3) = &dbmny4add( $money3, $money4 );
printf( "status = %d, money3 = %.4f\n", $status, $money3 );

$money3 = '0.0004'; $money4 = '0.0003'; $money5 = '0.0005';
$money6 = '0.0004';
printf( "status = %d, money3 = %.4f, money4 = %.4f\n",
	&dbmny4cmp( $money3, $money4 ), $money3, $money4 );
printf( "status = %d, money3 = %.4f, money5 = %.4f\n",
	&dbmny4cmp( $money3, $money5 ), $money3, $money5 );
printf( "status = %d, money3 = %.4f, money6 = %.4f\n",
	&dbmny4cmp( $money3, $money6 ), $money3, $money6 );
printf( "status = %d, money4 = %.4f, money5 = %.4f\n",
	&dbmny4cmp( $money4, $money5 ), $money4, $money5 );
printf( "status = %d, money4 = %.4f, money6 = %.4f\n",
	&dbmny4cmp( $money4, $money6 ), $money4, $money6 );
printf( "status = %d, money5 = %.4f, money6 = %.4f\n",
	&dbmny4cmp( $money5, $money6 ), $money5, $money6 );

($status, $money3) = &dbmny4add( $money1, $money2 );
printf( "status = %d, money3 = %.4f\n", $status, $money3 );

($status, $money3) = &dbmny4sub( $money1, $money2 );
printf( "status = %d, money3 = %.4f\n", $status, $money3 );

($status, $money3) = &dbmny4divide( $money3, $money2 );
printf( "status = %d, money3 = %.4f\n", $status, $money3 );

($status, $money4) = &dbmny4zero( $money4 );

@tbal = ( '4.89', '8.92', '7.77', '11.11', '0.01' );

for ( $cntr = 0 ; $cntr <= $#tbal ; $cntr++ ) {
  printf( "Item %d - %s\n", $cntr, $tbal[ $cntr ] );
  ($status, $money4) = &dbmny4add( $tbal[ $cntr ], $money4 );
}

printf( "status = %d, total = %.4f\n", $status, $money4 );

$cntr = $#tbal + 1;

($status, $money4) = &dbmny4divide( $money4, "$cntr" );
printf( "status = %d, avg = %.4f\n", $status, $money4 );

&dbclose;

&dbexit;

exit( $STDEXIT );
