#	@(#)sybdb_redefs.pl	1.2	8/31/93
#
# Adapted from Jeff Wongs version.
# sybdb_redefs.pl - sybperl redefinitions to defeat weird package/user-defined
#                   built-in subroutine bug.
#
# jtw, 09/06/93, V1.4 - defer omission of $dbproc for all routines
# jtw, 09/06/93, V1.3 - add OpenClient R4.6.1 money routines
# jtw, 14/05/93, V1.2 - change argument test in &dbnextrow to == 0
# jtw, 13/05/93, V1.1 - synchronise with sybperl V1.6
# jtw, 18/03/93, V1.0 - original
#
#
package main;

sub dblogin {
   local( @param_array ) = @_;
   local( $dbproc );

   $dbproc = &dbLOGIN( @param_array );

   return $dbproc;
}

sub dbopen {
   local( $server ) = @_;
   local( $dbproc );

   $dbproc = &dbOPEN( $server );

   return $dbproc;
}

sub dbclose {
   local( $dbproc ) = @_;
   local( $ret );

   $ret = &dbCLOSE( $dbproc );

   return $ret;
}

sub dbcmd {
   local( @param_array ) = @_;
   local( $ret );

   $ret = &dbCMD( @param_array );

   return $ret;
}

sub dbsqlexec {
   local( $dbproc ) = @_;
   local( $ret );

   $ret = &dbSQLEXEC( $dbproc );

   return $ret;
}

sub dbresults {
   local( $dbproc ) = @_;
   local( $ret );

   $ret = &dbRESULTS( $dbproc );

   return $ret;
}

sub dbnextrow {
   local( @param_array ) = @_;
   local( @dvec, %avec );

   if (( $#param_array     == 1 )  &&
       ( $param_array[ 1 ] != 0 ))    {  # associative array
      %avec = &dbNEXTROW( @param_array );

      return %avec;
   }
   else {  # normal array
      @dvec = &dbNEXTROW( @param_array );

      return @dvec;
   }
}

sub dbcancel {
   local( $dbproc ) = @_;
   local( $ret );

   $ret = &dbCANCEL( $dbproc );

   return $ret;
}

sub dbcanquery {
   local( $dbproc ) = @_;
   local( $ret );

   $ret = &dbCANQUERY( $dbproc );

   return $ret;
}

sub dbexit {
   &dbEXIT;
}

sub dbuse {
   local( @param_array ) = @_;
   local( $ret );

   $ret = &dbUSE( @param_array );

   return $ret;
}

sub dberrhandle {
   local( $handler ) = @_;
   local( $old_handler );

   $old_handler = &dbERRHANDLE( $handler );

   return $old_handler;
}

sub dbmsghandle {
   local( $handler ) = @_;
   local( $old_handler );

   $old_handler = &dbMSGHANDLE( $handler );

   return $old_handler;
}

sub dbstrcpy {
   local( $dbproc ) = @_;
   local( $string );

   $string = &dbSTRCPY( $dbproc );

   return $string;
}

sub dbsafestr {
   local( @param_array ) = @_;
   local( $string );

   $string = &dbSAFESTR( @param_array );

   return $string;
}

sub dbwritetext {
   local( @param_array ) = @_;
   local( $status );

   $status = &dbWRITETEXT( @param_array );

   return $status;
}

sub DBCURCMD {
   local( $dbproc ) = @_;
   local( $cmd_no );

   $cmd_no = &dbCURCMD( $dbproc );

   return $cmd_no;
}

sub DBCURROW {
   local( $dbproc ) = @_;
   local( $row_no );

   $row_no = &dbCURROW( $dbproc );

   return $row_no;
}

sub DBMORECMDS {
   local( $dbproc ) = @_;
   local( $status );

   $status = &dbMORECMDS( $dbproc );

   return $status;
}

sub DBCMDROW {
   local( $dbproc ) = @_;
   local( $status );

   $status = &dbCMDROW( $dbproc );

   return $status;
}

sub DBROWS {
   local( $dbproc ) = @_;
   local( $status );

   $status = &dbROWS( $dbproc );

   return $status;
}

sub DBCOUNT {
   local( $dbproc ) = @_;
   local( $no_rows );

   $no_rows = &dbCOUNT( $dbproc );

   return $no_rows;
}

sub dbhasretstat {
   local( $dbproc ) = @_;
   local( $status );

   $status = &dbHASRETSTAT( $dbproc );

   return $status;
}

sub dbretstatus {
   local( $dbproc ) = @_;
   local( $status );

   $status = &dbRETSTATUS( $dbproc );

   return $status;
}

sub dbmny4add {
   local( @param_array ) = @_;
   local( @status );

   @status = &dbMNY4ADD( @param_array );

   return @status;
}

sub dbmny4cmp {
   local( @param_array ) = @_;
   local( $status );

   $status = &dbMNY4CMP( @param_array );

   return $status;
}

sub dbmny4divide {
   local( @param_array ) = @_;
   local( @status );

   @status = &dbMNY4DIVIDE( @param_array );

   return @status;
}

sub dbmny4minus {
   local( @param_array ) = @_;
   local( @status );

   @status = &dbMNY4MINUS( @param_array );

   return @status;
}

sub dbmny4mul {
   local( @param_array ) = @_;
   local( @status );
   
   @status = &dbMNY4MUL( @param_array );

   return @status;
}

sub dbmny4sub {
   local( @param_array ) = @_;
   local( @status );

   @status = &dbMNY4SUB( @param_array );

   return @status;
}

sub dbmny4zero {
   local( @param_array ) = @_;
   local( @status );

   @status = &dbMNY4ZERO( @param_array );

   return @status;
}

sub dbmnyadd {
   local( @param_array ) = @_;
   local( @status );

   @status = &dbMNYADD( @param_array );

   return @status;
}

sub dbmnycmp {
   local( @param_array ) = @_;
   local( $status );

   $status = &dbMNYCMP( @param_array );

   return $status;
}

sub dbmnydivide {
   local( @param_array ) = @_;
   local( @status );

   @status = &dbMNYDIVIDE( @param_array );

   return @status;
}

sub dbmnyminus {
   local( @param_array ) = @_;
   local( @status );

   @status = &dbMNYMINUS( @param_aray );

   return @status;
}

sub dbmnymul {
   local( @param_array ) = @_;
   local( @status );

   @status = &dbMNYMUL( @param_array );

   return @status;
}

sub dbmnysub {
   local( @param_array ) = @_;
   local( @status );

   @status = &dbMNYSUB( @param_array );

   return @status;
}

sub dbmnyzero {
   local( @param_array ) = @_;
   local( @status );

   @status = &dbMNYZERO( @param_array );

   return @status;
}

sub dbmnydec {
   local( @param_array ) = @_;
   local( @status );

   @status = &dbMNYDEC( @param_array );

   return @status;
}

sub dbmnydown {
   local( @param_array ) = @_;
   local( @status );

   @status = &dbMNYDOWN( @param_array );

   return @status;
}

sub dbmnyinc {
   local( @param_array ) = @_;
   local( @status );

   @status = &dbMNYINC( @param_array );

   return @status;
}

sub dbmnyinit {
   local( @param_array ) = @_;
   local( @status );

   @status = &dbMNYINIT( @param_array );

   return @status;
}

sub dbmnymaxneg {
   local( @param_array ) = @_;
   local( @status );

   @status = &dbMNYMAXNEG( @param_array );

   return @status;
}

sub dbmnymaxpos {
   local( @param_array ) = @_;
   local( @status );

   @status = &dbMNYMAXPOS( @param_array );

   return @status;
}

sub dbmnyndigit {
   local( @param_array ) = @_;
   local( @status );

   @status = &dbMNYNDIGIT( @param_array );

   return @array;
}

sub dbmnyscale {
   local( @param_array ) = @_;
   local( @status );

   @status = &dbMNYSCALE( @param_array );

   return @status;
}

sub dbcoltype
{
    local( @param_array ) = @_;
    local( $status );

    $status = &dbCOLTYPE( @param_array );

    return $status;
}

sub dbcolname
{
    local( @param_array ) = @_;
    local( $status );

    $status = &dbCOLNAME( @param_array );

    return $status;
}

sub dbcollen
{
    local( @param_array ) = @_;
    local( $status );

    $status = &dbCOLLEN( @param_array );

    return $status;
}

sub dbnumcols
{
    local( @param_array ) = @_;
    local( $status );

    $status = &dbNUMCOLS( @param_array );

    return $status;
}

sub dbrecftos
{
    local( @param_array ) = @_;
    local( $status );

    $status = &dbRECFTOS( @param_array );

    return $status;
}

sub BCP_SETL
{
    local( @param_array ) = @_;
    local( $status );

    $status = &bcp_SETL( @param_array );

    return $status;
}

sub bcp_getl
{
    local( @param_array ) = @_;
    local( $status );

    $status = &bcp_GETL( @param_array );

    return $status;
}

sub bcp_init
{
    local( @param_array ) = @_;
    local( $status );

    $status = &bcp_INIT( @param_array );

    return $status;
}

sub bcp_meminit
{
    local( @param_array ) = @_;
    local( $status );

    $status = &bcp_MEMINIT( @param_array );

    return $status;
}

sub bcp_sendrow
{
    local( @param_array ) = @_;
    local( $status );

    $status = &bcp_SNEDROW( @param_array );

    return $status;
}

sub bcp_batch
{
    local( @param_array ) = @_;
    local( $status );

    $status = &bcp_BATCH( @param_array );

    return $status;
}

sub bcp_done
{
    local( @param_array ) = @_;
    local( $status );

    $status = &bcp_DONE( @param_array );

    return $status;
}

sub bcp_control
{
    local( @param_array ) = @_;
    local( $status );

    $status = &bcp_CONTROL( @param_array );

    return $status;
}

sub bcp_columns
{
    local( @param_array ) = @_;
    local( $status );

    $status = &bcp_COLUMNS( @param_array );

    return $status;
}

sub bcp_colfmt
{
    local( @param_array ) = @_;
    local( $status );

    $status = &bcp_COLFMT( @param_array );

    return $status;
}

sub bcp_exec
{
    local( @param_array ) = @_;
    local( $status );

    $status = &bcp_EXEC( @param_array );

    return $status;
}

sub bcp_readfmt
{
    local( @param_array ) = @_;
    local( $status );

    $status = &bcp_READFMT( @param_array );

    return $status;
}

sub bcp_writefmt
{
    local( @param_array ) = @_;
    local( $status );

    $status = &bcp_writefmt( @param_array );

    return $status;
}

# ----- end of sybdb_redefs.pl -----

1;
