;# 	@(#)sybperl.pl	1.5	9/23/93

;# This file, when interpreted, sets the appropriate environment
;# variables for Sybase's use DB-Library & isql.
;#
;# usage:
;#	require 'sybperl.pl';
;#
;# We don't set the environment if it is already set.

require 'sybdb.ph';

$ENV{'SYBASE'} = "/usr/local/sybase" unless $ENV{'SYBASE'};
$ENV{'DSQUERY'}= "SYBASE" unless $ENV{'DSQUERY'};
$ENV{'PATH'}="$ENV{'PATH'}:$ENV{'SYBASE'}/bin" unless $ENV{'PATH'} =~ /$ENV{'SYBASE'}/;

# Message and error handlers.

sub message_handler
{
    local ($db, $message, $state, $severity, $text, $server, $procedure, $line)
	= @_;

    if ($severity > 0)
    {
	print STDERR ("Sybase message ", $message, ", Severity ", $severity,
	       ", state ", $state);
	print STDERR ("\nServer `", $server, "'") if defined ($server);
	print STDERR ("\nProcedure `", $procedure, "'") if defined ($procedure);
	print STDERR ("\nLine ", $line) if defined ($line);
	print STDERR ("\n    ", $text, "\n\n");

# &dbstrcpy returns the command buffer.

	local ($lineno) = 1;	# 
	foreach $row (split (/\n/, &dbstrcpy ($db)))
	{
	    print STDERR (sprintf ("%5d", $lineno ++), "> ", $row, "\n");
	}
    }
    elsif ($message == 0)
    {
	print STDERR ($text, "\n");
    }
    
    0;
}

sub error_handler {
    # Check the error code to see if we should report this.
    if ($_[2] != &SYBESMSG) {
	local ($db, $severity, $error, $os_error, $error_msg, $os_error_msg)
	    = @_;
	print STDERR ("Sybase error: ", $error_msg, "\n");
	print STDERR ("OS Error: ", $os_error_msg, "\n") if defined ($os_error_msg);
    }

    &INT_CANCEL;
}


if( defined(&dbmsghandle))	# Is this a modern version of sybperl? ;-)
{
    &dbmsghandle ("message_handler"); # Some user defined error handlers
    &dberrhandle ("error_handler");
}


if (defined($SybPackageBug) && $SybPackageBug == 1)
{
    require 'sybdb_redefs.pl';
}


1;
